/*
	helpdlg.h
	ヘルプダイアログをリッチエディットボックスで表示する
*/

EXTERN BOOL helpdoc_start( const char *title, BYTE mode );		// ヘルプテキストの作成を開始(mode=0:ヘルプモード 1:ビューソースモード)
EXTERN BOOL helpdoc_section( const char *b_str, BYTE mode );	// ヘルプテキストに太字を追加する(&があると排除される. \n, \t は \\par, \\tab に変換される.)
EXTERN BOOL helpdoc_text( const char *str, BYTE mode );		// ヘルプテキストに文字列を追加する(\n, \t は \\par, \\tab に変換される.)
EXTERN HWND helpdoc_open( HWND hWndParent, BYTE mode );		// ヘルプを開く
EXTERN BOOL helpdoc_end( void );			// ヘルプテキストへの文字追加を終了する
EXTERN LRESULT CALLBACK HlpProc(HWND, UINT, WPARAM, LPARAM);
EXTERN int findDialog( HWND hWnd, char **findbuf_l, BOOL *hf_up_l, BOOL *hf_ncs_l, char *checkbox, char *checkboxtip ); // 検索ダイアログ

EXTERN HWND hHelpWindow; // ヘルプウィンドウのハンドル(IsDialogMessage判定のため)
